Retrieve Destination

Retrieves details for an existing event destination.

GET/destinations/{destinationId}

This endpoint retrieves the full details of a specific event destination, including its configuration and current status.

  1. Call this endpoint with the destination's ID. Stedi returns this ID in the responses from the Create Destination and List Destinations endpoints.
  2. The endpoint returns the destination details, including the destination name, URL, subscribed event types, status, and timestamps for creation and last update.
Authorization
RequiredHeader

A Stedi API Key for authentication. Supports both test and production API keys.

Path Parameters

destinationId
StringRegex pattern: ^[a-z]{3,5}_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$

The unique identifier for the destination. You can retrieve destination IDs with the List Destinations endpoint.

Response

application/json
concurrencyLimit
NumberRange: ≥ 1

The maximum number of concurrent deliveries for this destination. Contact Stedi to change your account limits.

createdAt
StringRequiredFormat: date-time

Creation timestamp for this destination.

description
StringRequiredMax length: 1024

A description of the destination's purpose, such as "Receives transaction enrollment task notifications."

destinationUrl
StringRequiredRegex pattern: ^https://.+$

The URL where Stedi delivers payloads through HTTP POST.

eventTypes
Array of StringsRequiredMin items: 1

The event types Stedi sends to this destination. Visit event types for a complete list.

id
StringRequiredRegex pattern: ^[a-z]{3,5}_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$

The unique identifier for the destination.

lastDeliveryTime
StringFormat: date-time

The timestamp for Stedi's most recent delivery attempt to this destination. Absent when Stedi hasn't yet attempted a delivery.

name
StringRequiredLength: 1 - 255

A human-readable name for the destination. Stedi displays this name in the portal.

status
StringRequired

The destination's current status. Stedi only sends event payloads to ENABLED destinations.

Possible values
ENABLED
DISABLED
updatedAt
StringRequiredFormat: date-time

Last update timestamp for this destination.